Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Comments by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.instagram.com/nato",
    "comment_user": "met***han***r",
    "comment_user_url": "https://www.instagram.com/metlushanigor",
    "comment_date": "2026-03-14T01:13:08.000Z",
    "comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
    "likes_number": 0,
    "replies_number": 0,
    "replies": null,
    "hashtag_comment": null,
    "tagged_users_in_comment": null,
    "post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
    "post_user": "******",
    "comment_id": "18168596065410257",
    "post_id": "3851148751604100411_985168596"
  }
]

Query Parameters

dataset_id
string
default:"gd_ltppn085pokosxh13"
required
The dataset ID used for this request.
Must be set to gd_ltppn085pokosxh13 to collect Comments by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url":"https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"},
    {"url":"https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"},
    {"url":"https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}
  ]
}
[
  {
    "url": "https://www.instagram.com/nato",
    "comment_user": "met***han***r",
    "comment_user_url": "https://www.instagram.com/metlushanigor",
    "comment_date": "2026-03-14T01:13:08.000Z",
    "comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
    "likes_number": 0,
    "replies_number": 0,
    "replies": null,
    "hashtag_comment": null,
    "tagged_users_in_comment": null,
    "post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
    "post_user": "******",
    "comment_id": "18168596065410257",
    "post_id": "3851148751604100411_985168596"
  }
]